Question about upgrading from 2.0.6 to 2.0.7

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
redfox_wg
Registered User
Posts: 8
Joined: Tue Mar 02, 2004 5:06 am
Location: London, Ontario
Contact:

Question about upgrading from 2.0.6 to 2.0.7

Post by redfox_wg » Wed Mar 17, 2004 3:14 pm

Sorry for asking this very insignificant question. I have never upgraded manually before so before I go ahead, I want to make sure that I know what I am planning to do is correct.

If I am upgrading versions specified in the subject, and I have downloaded the changed files. All I need to do is unzip the 2.0.6 to 2.0.7 zip file in the main zip file and then upload all the files in that file to the server in place of the older files?

Is that all there is to it?

Thanks!

redfox_wg
Registered User
Posts: 8
Joined: Tue Mar 02, 2004 5:06 am
Location: London, Ontario
Contact:

Post by redfox_wg » Wed Mar 17, 2004 3:48 pm

Anyone?

bigcitymike
Registered User
Posts: 37
Joined: Thu Oct 16, 2003 3:28 pm

Post by bigcitymike » Wed Mar 17, 2004 3:51 pm

I'm with you. Not sure as well.

emills01
Registered User
Posts: 9
Joined: Mon Dec 29, 2003 4:13 pm

Post by emills01 » Wed Mar 17, 2004 3:53 pm

I came here to pose this exact question...I myself am not running any of the a-d updates...

User avatar
GoBieN
Registered User
Posts: 540
Joined: Fri Mar 05, 2004 5:22 pm
Location: Belgium
Contact:

Post by GoBieN » Wed Mar 17, 2004 3:55 pm

I come with a similar question.

If i update to 2.0.7 will my mods still work ? will they be overwritten ?

calrissian
Registered User
Posts: 41
Joined: Mon Aug 11, 2003 1:06 pm
Location: UK
Contact:

Re: Question about upgrading from 2.0.6 to 2.0.7

Post by calrissian » Wed Mar 17, 2004 4:09 pm

redfox_wg wrote: If I am upgrading versions specified in the subject, and I have downloaded the changed files. All I need to do is unzip the 2.0.6 to 2.0.7 zip file in the main zip file and then upload all the files in that file to the server in place of the older files?
Thanks!


Create a folder on your desktop (name not important)
unzip ALL the files to this folder.

In the folder, you'll see a number of directories, and a number of zip packages....
you must unzip the 2.0.6 -2.0.7 to (preferably) another new folder.

Follow all the other main rules..... and once uploaded, use a web browser and in the address bar. type in....

http://www.yourwebsitename.domainwhatev ... to_207.php

that should be it. aside from then deleting the 2 directories contrib and install.

*****
(you know, i wish people would stop using zip files, its just so much hassle for most people)

flogger12
Registered User
Posts: 14936
Joined: Tue Nov 25, 2003 2:13 am

Post by flogger12 » Wed Mar 17, 2004 4:15 pm

If you just overwrite the files on your server with the update files, it WILL overwrite any MODs you have with the original files. Therefore you will have to redo the MODs.

Once you have all the update files loaded, you have to upload the install directory, then in your browser, go to:
yourdomain.com/phpBB2/install/update_to_207.php
after that is finished, then delete the install folder, if you installed the contrib folder, you need to delete it also.


robert

redfox_wg
Registered User
Posts: 8
Joined: Tue Mar 02, 2004 5:06 am
Location: London, Ontario
Contact:

Post by redfox_wg » Wed Mar 17, 2004 4:21 pm

Ok, I am still a bit confused. So I will try to put what you guys said into chronological point form:

Assuming vanilla install, no mods, but have theme packs:

1) download changed files zip
2) unzip zip file
3) unzip 206 to 207 zip file in separate directory (if upgrading from 206 to 207)
4) upload the unzipped 206 to 207 zip files to the server and replace older files
5) uploaded all the contents of the /install and /contrib directory onto server
6) run update to 207

Done... is that it?

User avatar
GoBieN
Registered User
Posts: 540
Joined: Fri Mar 05, 2004 5:22 pm
Location: Belgium
Contact:

Post by GoBieN » Wed Mar 17, 2004 4:24 pm

redfox_wg wrote: Done... is that it?

I think so, but since i have to redo my mods, i'll wait for an update with more features. A few bug fixes isn't that important to me.

galadrium
Registered User
Posts: 11
Joined: Fri Feb 27, 2004 4:54 am

Post by galadrium » Wed Mar 17, 2004 4:44 pm

I know you can add a patch that will update without deleting mods. However, I am unsure about how to do this. Anybody?

bigcitymike
Registered User
Posts: 37
Joined: Thu Oct 16, 2003 3:28 pm

Post by bigcitymike » Wed Mar 17, 2004 5:04 pm

::Sigh::

i understand this is FREE software.

and i'm thankfull.

Please understand that. but what appears to be an easy upgrage, had been anything but easy. I moonlite as an admin running a forum and though i want to learn. but thoses install direction were/are confusing. Now to experienced user it may be easier to discern what to skip and what to read. I want to run a secure board and I want to install this update. But I think i'll wait a bit and watch and read how other finished it.

Again thanks for the free software.

User avatar
AdamR
Former Team Member
Posts: 9731
Joined: Tue Mar 02, 2004 5:40 pm
Location: Tampa, Florida
Name: Adam Reyher
Contact:

Post by AdamR » Wed Mar 17, 2004 5:34 pm

You can use this update that is in MOD format, so you can manually edit the code.

You'll still need to run /install/update_to_207.php to grab the database changes.

http://www.phpbb.com/phpBB/viewtopic.php?t=180813
phpBB Support: Welcome | Userguide | Knowledge Base | Search
Honored supporter of the phpBB Group!
"If I have seen a little further it is by standing on the shoulders of Giants." - Isaac Newton

Silver Dragon Breath
Registered User
Posts: 138
Joined: Thu Oct 16, 2003 11:21 am
Location: NL

versions prior to RC-3

Post by Silver Dragon Breath » Wed Mar 17, 2004 8:19 pm

Thanks very much for the link to Acid Burn's mod the upgrade, it worked fine, There is just one thing I do not understand and that is this:

After running the /install/update_to_207.php, this message shows up:

..........Update completed........etc...........and:
If you updated from versions prior to RC-3 you must update some entries (in the General Configuration of the board.

Now I have updated from 2.06 to 2.07 and the message I mention above also shows that update has been performed from 2.06 to 2.07.

What is RC-3, I have no idea.........is it in version 2.0.6. too........?
"Fly high and take care not to swallow a planet while your mouth is open"

User avatar
Drexion
Former Team Member
Posts: 8892
Joined: Sat Jan 25, 2003 9:54 pm
Location: City 17

Post by Drexion » Wed Mar 17, 2004 8:43 pm

RC-3 is release candidate 3. It is a version before version 2.0.0 (so basically you don't have to pay attention to that line since you were updating from 2.0.6)

Silver Dragon Breath
Registered User
Posts: 138
Joined: Thu Oct 16, 2003 11:21 am
Location: NL

Post by Silver Dragon Breath » Wed Mar 17, 2004 9:02 pm

Thanks Drexion, that is a relief, I went through board configuration again but just couldn't figure out what had to be changed, now I know all is well, thanks again.
"Fly high and take care not to swallow a planet while your mouth is open"

Locked

Return to “2.0.x Support Forum”